Bug 732280 - [abrt] sugar-0.92.4-1.fc14: g_type_check_instance_cast: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
Summary: [abrt] sugar-0.92.4-1.fc14: g_type_check_instance_cast: Process /usr/bin/pyth...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sugar
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simon Schampijer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:598d90ca9696afcc7ab80868263...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-21 15:20 UTC by robert fairb
Modified: 2012-08-16 15:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 15:48:38 UTC


Attachments (Terms of Use)
File: backtrace (81.28 KB, text/plain)
2011-08-21 15:20 UTC, robert fairb
no flags Details

Description robert fairb 2011-08-21 15:20:17 UTC
abrt version: 1.1.18
architecture: i686
Attached file: backtrace, 83233 bytes
cmdline: python /usr/bin/sugar-activity TurtleArtActivity.TurtleArtActivity -b org.laptop.TurtleArtActivity -a f4fff6836757edc11ed59dd8457c236cddafb3ea
comment: sorry i couldnt write down the little error mesage 
component: sugar
Attached file: coredump, 51834880 bytes
crash_function: g_type_check_instance_cast
executable: /usr/bin/python
kernel: 2.6.35.13-92.fc14.i686.PAE
package: sugar-0.92.4-1.fc14
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
How to reproduce: 1.i was trying to use sound jucer to read a audio cd when i got a dbus error somthing about a peer to peer conection to 1. somthing and i needed to finish extracting the audio, i couldnt find the pi of the problem so i killed gnome session with the SIGABRT signal
time: 1313692740
uid: 500

Comment 1 robert fairb 2011-08-21 15:20:19 UTC
Created attachment 519188 [details]
File: backtrace

Comment 2 Frederick Grose 2011-09-18 03:22:41 UTC
Package: sugar-0.92.4-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Downloaded Turtle Blocks 113.
Clicked .xo bundle in Journal to test installation in case of existing version 114.
Crashed back to Journal.
There is Turtle Blocks Activity instance that started up but crashed after a few seconds.

Comment 3 Frederick Grose 2011-09-18 04:11:15 UTC
Package: sugar-0.92.4-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Downloaded Turtle Blocks 113.
Clicked .xo bundle in Journal to test installation in case of existing version 114.
Crashed back to Journal.
There is Turtle Blocks Activity instance that started up but crashed after a few seconds.

Comment 4 Peter Robinson 2011-09-19 07:36:51 UTC
Does the 114 version in fedora-updates work?

Comment 5 Frederick Grose 2011-09-19 13:02:35 UTC
(In reply to comment #4)
> Does the 114 version in fedora-updates work?
Yes, it launches and appears fine in Sugar in a Window.

Comment 6 Fedora End Of Life 2012-08-16 15:48:40 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.